commoble.bagofyurting

## Class CompressedBagOfYurtingData.CompressedStateData

- java.lang.Object
- - commoble.bagofyurting.CompressedBagOfYurtingData.CompressedStateData

Enclosing class:
  CompressedBagOfYurtingData

    public static class CompressedBagOfYurtingData.CompressedStateData
    extends java.lang.Object

### Field Summary

Fields
`static com.mojang.serialization.Codec<CompressedBagOfYurtingData.CompressedStateData>` `CODEC`

### Constructor Summary

Constructors
Constructor and Description
`CompressedStateData(net.minecraft.util.math.BlockPos pos, int stateIndex, java.util.Optional<net.minecraft.nbt.CompoundNBT> nbt)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Optional<net.minecraft.nbt.CompoundNBT>` `getNBT()`
`net.minecraft.util.math.BlockPos` `getPos()`
`int` `getStateIndex()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CODEC

    public static final com.mojang.serialization.Codec<CompressedBagOfYurtingData.CompressedStateData> CODEC

### Constructor Detail

#### CompressedStateData

    public CompressedStateData(net.minecraft.util.math.BlockPos pos,
                               int stateIndex,
                               java.util.Optional<net.minecraft.nbt.CompoundNBT> nbt)

### Method Detail

#### getPos

    public net.minecraft.util.math.BlockPos getPos()

#### getStateIndex

    public int getStateIndex()

#### getNBT

    public java.util.Optional<net.minecraft.nbt.CompoundNBT> getNBT()